org.apache.tinkerpop.gremlin.process.computer.traversal

## Class TraversalVertexProgram.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder<TraversalVertexProgram.Builder>
  - - org.apache.tinkerpop.gremlin.process.computer.traversal.TraversalVertexProgram.Builder

- All Implemented Interfaces:
    VertexProgram.Builder
  Enclosing class:
    TraversalVertexProgram

      public static final class TraversalVertexProgram.Builder
      extends AbstractVertexProgramBuilder<TraversalVertexProgram.Builder>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configuration`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TraversalVertexProgram.Builder` | `haltedTraversers(TraverserSet<Object> haltedTraversers)`
    `TraversalVertexProgram.Builder` | `traversal(Traversal.Admin<?,?> traversal)`
    `TraversalVertexProgram.Builder` | `traversal(TraversalSource traversalSource, String scriptEngine, String traversalScript, Object... bindings)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configure, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.computer.VertexProgram.Builder

      `create`

- - ### Method Detail

    - #### haltedTraversers

          public TraversalVertexProgram.Builder haltedTraversers(TraverserSet<Object> haltedTraversers)

    - #### traversal

          public TraversalVertexProgram.Builder traversal(TraversalSource traversalSource,
                                                          String scriptEngine,
                                                          String traversalScript,
                                                          Object... bindings)

    - #### traversal

          public TraversalVertexProgram.Builder traversal(Traversal.Admin<?,?> traversal)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.